package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel
public class DrpRefundGoodsPageDTO  {
   @ApiModelProperty("退货单号")
   private String refundGoodsId;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("退货日期")
   private LocalDate refundTime;
   @ApiModelProperty("区域id集合")
   private List<Long> areaIdList;
   @ApiModelProperty("退货仓库id")
   private List<Long> warehouseIdList;
   @ApiModelProperty("退货人")
   private String refundName;
   @ApiModelProperty("制表开始时间")
   private LocalDateTime crtimeStart;
   @ApiModelProperty("制表结束时间")
   private LocalDateTime crtimeEnd;
   @ApiModelProperty("制表人")
   private String crby;
   @ApiModelProperty("关联采购订单号")
   private String relateOrderGoodsId;
   @ApiModelProperty("关联采购订单号")
   private String orderGoodsId;
   @ApiModelProperty("退货开始时间")
   private LocalDateTime refundTimeStart;
   @ApiModelProperty("退货结束时间")
   private LocalDateTime refundTimeEnd;

   public String getRefundGoodsId() {
      return this.refundGoodsId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public LocalDate getRefundTime() {
      return this.refundTime;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public List<Long> getWarehouseIdList() {
      return this.warehouseIdList;
   }

   public String getRefundName() {
      return this.refundName;
   }

   public LocalDateTime getCrtimeStart() {
      return this.crtimeStart;
   }

   public LocalDateTime getCrtimeEnd() {
      return this.crtimeEnd;
   }

   public String getCrby() {
      return this.crby;
   }

   public String getRelateOrderGoodsId() {
      return this.relateOrderGoodsId;
   }

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public LocalDateTime getRefundTimeStart() {
      return this.refundTimeStart;
   }

   public LocalDateTime getRefundTimeEnd() {
      return this.refundTimeEnd;
   }

   public DrpRefundGoodsPageDTO setRefundGoodsId(final String refundGoodsId) {
      this.refundGoodsId = refundGoodsId;
      return this;
   }

   public DrpRefundGoodsPageDTO setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpRefundGoodsPageDTO setRefundTime(final LocalDate refundTime) {
      this.refundTime = refundTime;
      return this;
   }

   public DrpRefundGoodsPageDTO setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
      return this;
   }

   public DrpRefundGoodsPageDTO setWarehouseIdList(final List<Long> warehouseIdList) {
      this.warehouseIdList = warehouseIdList;
      return this;
   }

   public DrpRefundGoodsPageDTO setRefundName(final String refundName) {
      this.refundName = refundName;
      return this;
   }

   public DrpRefundGoodsPageDTO setCrtimeStart(final LocalDateTime crtimeStart) {
      this.crtimeStart = crtimeStart;
      return this;
   }

   public DrpRefundGoodsPageDTO setCrtimeEnd(final LocalDateTime crtimeEnd) {
      this.crtimeEnd = crtimeEnd;
      return this;
   }

   public DrpRefundGoodsPageDTO setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DrpRefundGoodsPageDTO setRelateOrderGoodsId(final String relateOrderGoodsId) {
      this.relateOrderGoodsId = relateOrderGoodsId;
      return this;
   }

   public DrpRefundGoodsPageDTO setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
      return this;
   }

   public DrpRefundGoodsPageDTO setRefundTimeStart(final LocalDateTime refundTimeStart) {
      this.refundTimeStart = refundTimeStart;
      return this;
   }

   public DrpRefundGoodsPageDTO setRefundTimeEnd(final LocalDateTime refundTimeEnd) {
      this.refundTimeEnd = refundTimeEnd;
      return this;
   }

   public String toString() {
      String var10000 = this.getRefundGoodsId();
      return "DrpRefundGoodsPageDTO(refundGoodsId=" + var10000 + ", supplierId=" + this.getSupplierId() + ", refundTime=" + String.valueOf(this.getRefundTime()) + ", areaIdList=" + String.valueOf(this.getAreaIdList()) + ", warehouseIdList=" + String.valueOf(this.getWarehouseIdList()) + ", refundName=" + this.getRefundName() + ", crtimeStart=" + String.valueOf(this.getCrtimeStart()) + ", crtimeEnd=" + String.valueOf(this.getCrtimeEnd()) + ", crby=" + this.getCrby() + ", relateOrderGoodsId=" + this.getRelateOrderGoodsId() + ", orderGoodsId=" + this.getOrderGoodsId() + ", refundTimeStart=" + String.valueOf(this.getRefundTimeStart()) + ", refundTimeEnd=" + String.valueOf(this.getRefundTimeEnd()) + ")";
   }
}
